mxMedianHybridCrossingReduction.MedianCellSorter (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.layout.hierarchical.stage
Class mxMedianHybridCrossingReduction.MedianCellSorter

    java.lang.Object
      com.mxgraph.layout.hierarchical.stage.mxMedianHybridCrossingReduction.MedianCellSorter

All Implemented Interfaces:
  Comparable<Object>

Enclosing class:
  mxMedianHybridCrossingReduction

    protected class mxMedianHybridCrossingReduction.MedianCellSorter

extends Object
implements Comparable<Object>

A utility class used to track cells whilst sorting occurs on the median values. Does not violate (x.compareTo(y)==0) == (x.equals(y))

Field Summary
`double` | `medianValue` The median value of the cell stored

Constructor Summary
`protected` | `mxMedianHybridCrossingReduction.MedianCellSorter()`

Method Summary
`int` | `compareTo(Object arg0)` comparator on the medianValue

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### medianValue

    public double medianValue

  The median value of the cell stored

Constructor Detail

### mxMedianHybridCrossingReduction.MedianCellSorter

    protected mxMedianHybridCrossingReduction.MedianCellSorter()

Method Detail

### compareTo

    public int compareTo(Object arg0)

  comparator on the medianValue

  Specified by:
    `compareTo` in interface `Comparable<Object>`
  Parameters:
    `arg0` - the object to be compared to
  Returns:
    the standard return you would expect when comparing two double

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.